<div class="outerpage-login-wrapper" [ngClass]="['indigo-pink-theme']">
  <form [formGroup]="loginFormGroup">
      <div class="main-content">
        <!-- {{selectedTheme}} -->
        <mat-toolbar class="top-menubar">
          <img mat-card-image class="logo" src="assets/Images/logo1.png" alt="NYC HRA LOGO" />
          <span class="toolbar-spacer"></span>
            <h1 class="main-title">Coordinated Assessment and Placement System</h1>
          <span class="toolbar-spacer"></span>
        </mat-toolbar>

        <div class="login-out-content" fxLayoutAlign="center center">

          <mat-card class="login-card">
            <mat-card-header>
                <h2><mat-icon>perm_identity</mat-icon> Sign In</h2>
            </mat-card-header>
            <mat-divider></mat-divider>

              <mat-card-content fxLayout="column">
                  <div fxLayout="row" fxLayoutAlign="left center">
                      <div fxFlex="25">
                          <div><span class="required-label-color">User ID</span></div>
                      </div>
                      <div fxFlex>
                          <mat-form-field fxFlex appearance="outline">
                            <input type="text" matInput formControlName="userIdCtrl" maxlength="10">
                            <mat-error *ngIf="f.userIdCtrl.errors?.required"> {{ validationMssg.userIdCtrl.required }}</mat-error>
                            <mat-error *ngIf="f.userIdCtrl.errors?.maxlength"> {{ validationMssg.userIdCtrl.maxlength }}</mat-error>
                          </mat-form-field>
                      </div>
                  </div>
                  <div fxLayout="row" fxLayoutAlign="left center">
                        <div fxFlex="25">
                            <div><span class="required-label-color">Password</span></div>
                        </div>
                        <div fxFlex>
                            <mat-form-field fxFlex appearance="outline">
                              <input type="password" matInput formControlName="passwordCtrl" maxlength="10">
                              <mat-error *ngIf="f.passwordCtrl.errors?.required"> {{ validationMssg.passwordCtrl.required }}</mat-error>
                              <mat-error *ngIf="f.passwordCtrl.errors?.maxlength"> {{ validationMssg.passwordCtrl.maxlength }}</mat-error>
                            </mat-form-field>
                        </div>
                  </div>
              </mat-card-content>

              <mat-card-footer>
                <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="center">
                  <button type="submit" (click)="onLoginClick()" mat-raised-button color="primary">Login</button>
                </span>
              </mat-card-footer>

          </mat-card>
    
        </div>
    
          <footer class="footer">
            <mat-toolbar color="primary" fxLayout="row auto" fxLayoutGap="10px">
              <div class="copyright" fxLayoutAlign="start">Copyright</div>
              <div class="helpSupport" fxLayoutAlign="end">Help | Support</div>
            </mat-toolbar>
          </footer>

      </div>
    </form>
  </div>